> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Get Promotion Details

POST TBD/api/v2/gifts/get-promotion-details

This endpoint returns details of a particular promotion based on the promotion_id sent in the request. The output displays information about the merchant running the promotion and the promotion itself including the merchant's name, username, location details, validity of promotion, and link to the shop among other fields.

### Request Body

- `promotion_id` (string): The id of the promotion.
    

### Response

- `name` (string): The name of the promotion.
    
- `description` (string): The description of the promotion.
    
- `merchant_name` (string): The name of the associated merchant.
    
- `merchant_username` (string): The username of the associated merchant.
    
- `merchant_user_image` (string): The image URL of the merchant.
    
- `image` (string): The image URL related to the promotion.
    
- `address_1` (string): The primary address line of the merchant.
    
- `address_2` (string): The secondary address line of the merchant.
    
- `postcode` (string): The postal code for the merchant's location.
    
- `city` (string): The city of the merchant's location.
    
- `state` (string): The state of the merchant's location.
    
- `country` (string): The country of the merchant's location.
    
- `full_address` (string): The full address for the merchant's location.
    
- `validity_period` (integer): The time length of the promotion validity.
    
- `url` (string): The URL of the merchant shop.
    
- `link_title` (string): The title to display for the provided URL.
    
- `promo_code` (string): The promotional code for the promotion.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/gift-card-promotion/get-promotion-details

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Get Promotion Details

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (ApiV2GiftsGetPromotionDetailsPostResponsesContentApplicationJsonSchemaData, optional)

## Types

### ApiV2GiftsGetPromotionDetailsPostResponsesContentApplicationJsonSchemaData

- `name` (string, optional)
- `description` (string, optional)
- `merchant_name` (string, optional)
- `merchant_username` (string, optional)
- `merchant_user_image` (string, optional)
- `image` (string, optional)
- `address_1` (string, optional)
- `address_2` (string, optional)
- `postcode` (string, optional)
- `city` (string, optional)
- `state` (string, optional)
- `country` (string, optional)
- `full_address` (string, optional)
- `validity_period` (integer, optional)
- `url` (string, optional)
- `link_title` (string, optional)
- `promo_code` (string, optional)

## Examples

**Response**

```json
{
  "message": "Successfully found promotion.",
  "api": "get-promotion-details",
  "status": "success",
  "data": {
    "name": "GET 30% OFF SPOOKY MOOD",
    "description": "We are proud to be partnering with LITT to offer 30% off our capsule range, find the 'AR\" for your chance to purchase today w/ a 30% discount! ",
    "merchant_name": "Spooky Mood ",
    "merchant_username": "SpookyMood",
    "merchant_user_image": "https://litt-ap-southeast-2.s3-accelerate.amazonaws.com/1353513e-28db-4c21-b022-3126cc25c830/profile/39f02433-dde6-4c0b-ab1d-3c4973ef2873.jpg",
    "image": "https://litt-ap-southeast-2.s3-accelerate.amazonaws.com/litt/Pictures/7adfcc8e-d5aa-4da8-a0c9-b8a4d615602b/55270/cd14477c-3ad6-40d8-ba42-5e9bbfd8780a.png",
    "address_1": "1119 Beaufort Street",
    "address_2": "",
    "postcode": "6052",
    "city": "Bedford",
    "state": "WA",
    "country": "Australia",
    "full_address": "1119 Beaufort Street, Bedford, 6052, WA, Australia",
    "validity_period": 553724,
    "url": "https://blunderculture.com/",
    "link_title": "SHOP 30% OFF",
    "promo_code": "LITTSPOOKY"
  }
}
```

**SDK Code**

```python Gift Card & Promotion_getPromotionDetails_example
import requests

url = "https://tbd/api/v2/gifts/get-promotion-details"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript Gift Card & Promotion_getPromotionDetails_example
const url = 'https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Gift Card & Promotion_getPromotionDetails_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Gift Card & Promotion_getPromotionDetails_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java Gift Card & Promotion_getPromotionDetails_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php Gift Card & Promotion_getPromotionDetails_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp Gift Card & Promotion_getPromotionDetails_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift Gift Card & Promotion_getPromotionDetails_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/gifts/get-promotion-details?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```